
#include <LiquidCrystal.h>

char *list[6] = {"Item1", "Item2", "Item3", "Item4", "Item5", "Item6"};

int element = 0;
bool button[2] = {0,0};

LiquidCrystal lcd_1(12, 11, 5, 4, 3, 2);

void setup()
{
  Serial.begin(9600); // open the serial port at 9600 bps:
  lcd_1.begin(16, 2); // Set up the number of columns and rows on the LCD.
  pinMode(7,INPUT);
  pinMode(8,INPUT);
  
  // Print a message to the LCD.
  lcd_1.print("hello world!");
}

void loop()
{
  lcd_1.setCursor(0, 1);
  if(digitalRead(7)== HIGH){
    if(button[0]==0){ //then if that button wasn't already pushed
      Serial.print("button1\n");
      if(element > 0){ //if it's not at the bottom of the list
        element--;
        lcd_1.print(list[element]);
        Serial.print(element);
      }
      button[0]=1;
    }
  }else{
    button[0]=0;
  }
  if(digitalRead(8)== HIGH){
    if(button[1]==0){ //then if that button wasn't already pushed
      Serial.print("button2\n");
      if(element < sizeof(list)){
        element++;
        lcd_1.print(list[element]);
        Serial.print(element);
      }
      button[1]=1;
    }
  }else{
    button[1]=0;
  }
  delay(5);
}
